// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_upthejunction/utj_sky1
{
	qer_editorimage env/ut4_upthejunction/stormydays_ft.tga
	
	skyparms env/ut4_upthejunction/stormydays 128 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== No Damage, NonSolid ===---

textures/ut4_upthejunction/e8_base1c:q3map
{
	surfaceparm nodamage
	surfaceparm nonsolid
}

// ---=== No Damage ===---

textures/ut4_upthejunction/e8warn2steplight:q3map
{
	surfaceparm nodamage
}

textures/ut4_upthejunction/e8warning2step:q3map
{
	surfaceparm nodamage
}

textures/ut4_upthejunction/e8warning2:q3map
{
	surfaceparm nodamage
}

textures/ut4_upthejunction/e8warning128:q3map
{
	surfaceparm nodamage
}

textures/ut4_upthejunction/e8wrntrim:q3map
{
	surfaceparm nodamage
}

textures/ut4_upthejunction/pr_concrete010:q3map
{
	surfaceparm nodamage
}

textures/ut4_upthejunction/pr_metal042:q3map
{
	surfaceparm nodamage
}

textures/ut4_upthejunction/pr_metal047:q3map
{
	surfaceparm nodamage
}

textures/ut4_upthejunction/pr_metal076:q3map
{
	surfaceparm nodamage
}

textures/ut4_upthejunction/pr_metal076c:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_upthejunction/utj_glass
{
	qer_editorimage textures/kittywumpus/kw_glass_plain.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_upthejunction/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_upthejunction/utj_glass_slk
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_upthejunction/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_upthejunction/utj_glass_nons
{
	qer_editorimage textures/kittywumpus/kw_glass_plain.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_upthejunction/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== Ladderclip ===---

textures/ut4_upthejunction/utj_ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---

textures/ut4_upthejunction/utj_e8warn2steplight_ns
{
	qer_editorimage textures/ut4_upthejunction/e8warn2steplight.tga
	q3map_lightimage textures/ut4_upthejunction/e8warn2steplight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid
	q3map_surfacelight 50
	{
		map textures/ut4_upthejunction/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_upthejunction/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_upthejunction/utj_glassblk04
{
	qer_editorimage textures/ut4_upthejunction/pr_glassblock04.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_upthejunction/pr_glassblock04.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_upthejunction/pr_glassblock04.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_upthejunction/utj_glassblk04_ns
{
	qer_editorimage textures/ut4_upthejunction/pr_glassblock04.jpg 
	surfaceparm nodamage
	surfaceparm nonsolid
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_upthejunction/pr_glassblock04.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_upthejunction/pr_glassblock04.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_upthejunction/utj_glassblk04_b
{
	qer_editorimage textures/ut4_upthejunction/pr_glassblock04b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_upthejunction/pr_glassblock04b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_upthejunction/pr_glassblock04b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_upthejunction/utj_glassblk04_r
{
	qer_editorimage textures/ut4_upthejunction/pr_glassblock04r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_upthejunction/pr_glassblock04r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_upthejunction/pr_glassblock04r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== oozes ===---

textures/ut4_upthejunction/utj_oozecaulk
{
qer_editorimage textures/ut4_upthejunction/ooze_prpl.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

textures/ut4_upthejunction/utj_oozgreen
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_upthejunction/ooze_green.tga
	q3map_surfacelight 300

	{
		map textures/ut4_upthejunction/ooze_green.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_upthejunction/ooze_green_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_upthejunction/ooze_green.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_upthejunction/ooze_green.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== wave-noflow ooze ===---

textures/ut4_upthejunction/utj_wav_oozgreen
{
	qer_editorimage textures/ut4_upthejunction/ooze_green.tga
	q3map_lightimage textures/ut4_upthejunction/ooze_green.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 200
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_upthejunction/ooze_green.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_upthejunction/ooze_prpl_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_upthejunction/ooze_green.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_upthejunction/utj_wav_oozprpl
{
	qer_editorimage textures/ut4_upthejunction/ooze_prpl.tga
	q3map_lightimage textures/ut4_upthejunction/ooze_prpl.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
//	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans	

	q3map_surfacelight 500
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_upthejunction/ooze_prpl.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_upthejunction/ooze_prpl_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_upthejunction/ooze_prpl.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

// ---=== Evil Shaders ===---

textures/ut4_upthejunction/e8warn2steplight
{
	qer_editorimage textures/ut4_upthejunction/e8warn2steplight.tga
	q3map_lightimage textures/ut4_upthejunction/e8warn2steplight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 50
	{
		map textures/ut4_upthejunction/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_upthejunction/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_upthejunction/e8trimlight2_blue
{
	qer_editorimage textures/ut4_upthejunction/e8trimlight2_blue.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/ut4_upthejunction/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_upthejunction/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_upthejunction/e8trimlight2_red
{
	qer_editorimage textures/ut4_upthejunction/e8trimlight2_red.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/ut4_upthejunction/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_upthejunction/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_upthejunction/e8trim_bluefx
{
	q3map_lightimage textures/e8trim/evil8_trimfx_b.tga
	q3map_surfacelight 100
	surfaceparm nodamage
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_upthejunction/e8trim_bluefx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_upthejunction/e8trimfx_b.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/ut4_upthejunction/e8trim_redfx
{
	q3map_lightimage textures/ut4_upthejunction/e8trimfx_r.tga
	q3map_surfacelight 100
	surfaceparm nodamage
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_upthejunction/e8trim_redfx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_upthejunction/e8trimfx_r.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

// ---=== soc shaders ===---

textures/ut4_upthejunction/utj_jpblue_floor15a
{
	qer_editorimage textures/ut4_upthejunction/soc_jp15a.tga
	q3map_lightimage textures/ut4_upthejunction/soc_jumppadsmall_b.tga	
	q3map_surfacelight 400
	surfaceparm nodamage
	{
		map textures/ut4_upthejunction/soc_blue_telep.tga
		tcmod rotate 180
		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_upthejunction/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_upthejunction/soc_jp15a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_upthejunction/utj_jpgold_floor15a
{
	qer_editorimage textures/ut4_upthejunction/soc_jp15a.tga
	q3map_lightimage textures/ut4_upthejunction/soc_jumppadsmall_g.tga	
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map textures/ut4_upthejunction/soc_gold_telep.tga
		tcmod rotate 180
		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_upthejunction/soc_jumppadsmall_g.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_upthejunction/soc_jp15a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_upthejunction/utj_jpred_floor15a
{
	qer_editorimage textures/ut4_upthejunction/soc_jp15a.tga
	q3map_lightimage textures/ut4_upthejunction/soc_jumppadsmall_r.tga	
	q3map_surfacelight 400
	surfaceparm nodamage
	{
		map textures/ut4_upthejunction/soc_red_telep.tga
		tcmod rotate 180
		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_upthejunction/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_upthejunction/soc_jp15a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ---=== Teleorb ===---

textures/ut4_upthejunction/utj_teleborb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_upthejunction/soc_gold_telep.jpg
	qer_trans 0.4

	cull none

	{
		map textures/ut4_upthejunction/soc_gold_telep.jpg
		tcmod rotate 360
//		tcmod stretch sin 1 .1 0 .1
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Arrows ===---

textures/ut4_upthejunction/utj_arrowanim
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 900
	qer_editorimage textures/ut4_upthejunction/lw_arrow3.tga
	{
		animmap 3 textures/ut4_upthejunction/lw_arrow3.tga textures/ut4_upthejunction/lw_arrow4.tga textures/ut4_upthejunction/lw_arrow1.tga textures/ut4_upthejunction/lw_arrow2.tga

	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

// ---=== Launchpad from Q3A tex replace pak ===---

textures/ut4_upthejunction/utj_launch1
{
	qer_editorimage textures/ut4_upthejunction/launchpad_metalbridge04d.tga
	surfaceparm nodamage
	surfaceparm nonsolid

	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/ut4_upthejunction/launchpad_metalbridge04d.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/ut4_upthejunction/launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}
	{ 
		animmap 4 textures/ut4_upthejunction/launchpad_arrow.tga textures/ut4_upthejunction/launchpad_arrow2.tga textures/ut4_upthejunction/launchpad_arrow2.tga textures/ut4_upthejunction/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}

// ---=== Lasers ===---

textures/ut4_upthejunction/utj_las_green1
{
	qer_editorimage textures/ut4_upthejunction/laser_green1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
//	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_upthejunction/laser_green1.jpg textures/ut4_upthejunction/laser_green3.jpg textures/ut4_upthejunction/laser_green1.jpg textures/ut4_upthejunction/laser_green2.jpg textures/ut4_upthejunction/laser_green4.jpg textures/ut4_upthejunction/laser_green2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_upthejunction/utj_las_red1
{
	qer_editorimage textures/ut4_upthejunction/laser_red1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
//	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_upthejunction/laser_red1.jpg textures/ut4_upthejunction/laser_red3.jpg textures/ut4_upthejunction/laser_red1.jpg textures/ut4_upthejunction/laser_red2.jpg textures/ut4_upthejunction/laser_red4.jpg textures/ut4_upthejunction/laser_red2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Water ===---

textures/ut4_upthejunction/utj_clear_ripple3
{
	qer_editorimage textures/ut4_upthejunction/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
	{ 
		map textures/ut4_upthejunction/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/ut4_upthejunction/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/ut4_upthejunction/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}